package fr.unistra.sil.erp.back.repository;

import fr.unistra.sil.erp.back.model.Category;

import java.util.List;

public interface ICategoriesRepository {

    /**
     * Returns the list of all categories.
     *
     * @return the list of categories, or null if an error occurred.
     */
    List<Category> getCategories();
    
    /**
     * Retrieves the category with the highest ID.
     * @return the category.
     */
    Category getLatestCategory();
    
    /**
     * Creates a new category in the database.
     * 
     * @param name the name for the new Category.
     * @return the created Category.
     * @throws fr.unistra.sil.erp.back.repository.DatabaseConnectionException
     * @throws fr.unistra.sil.erp.back.repository.DatabaseUpdateException
     */
    Category createCategory(Category c)
            throws DatabaseConnectionException, DatabaseUpdateException;
}
