package fr.unistra.sil.erp.back.repository;

import fr.unistra.sil.erp.back.model.Stock;

import java.util.List;

public interface IStocksRepository {
    /**
     * Returns the list of all stocks.
     *
     * @return the list of stocks.
     */
    List<Stock> getStocks();

    /**
     * Returns the stock entry of an item.
     *
     * @param itemId the item's ID.
     * @return the stock line.
     */
    Stock getStockForItem(int itemId);

    /**
     * Updates the specified stock's quantity.
     */
    void updateStock(Stock stock) throws DatabaseConnectionException, DatabaseUpdateException;
}
